Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001224KdenliveUser Interfacepublic2009-10-25 21:452010-02-20 08:17
Reporterkaleemsagard 
Assigned Toj-b-m 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32bitsOSFedora LinuxOS Version10
Product Version0.7.4 
Target VersionFixed in Version0.7.7 
Summary0001224: KDENLIVE crash when click on (to select it) clip in project tree
DescriptionThe application crash when I click on any clip in project tree to reproduce it.
Steps To Reproduce1. Add any clip (clip, title clip, ...)
2. Repeat the previous step (i.e. step 1)
3. Click on one the created clip in "Project Tree"
4. CRASH!!!
Additional InformationApplication that crashed: kdenlive
Version of the application: 0.7.4
KDE Version: 4.3.1 (KDE 4.3.1)
Qt Version: 4.5.2
Operating System: Linux 2.6.27.37-170.2.104.fc10.i686 i686
Distribution: "Fedora release 10 (Cambridge)"

What I was doing when the application crashed:
(See "Steps to Reproduce")

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77ba9a0 (LWP 7885))]

Thread 2 (Thread 0xb4524b90 (LWP 7928)):
[KCrash Handler]
0000006 0x085e832c in ?? ()
0000007 0x00bf45ca in start_thread () from /lib/libpthread.so.0
0000008 0x00b2a04e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb77ba9a0 (LWP 7885)):
#0 0x006af416 in __kernel_vsyscall ()
#1 0x00bf4c07 in pthread_join () from /lib/libpthread.so.0
0000002 0x004acf45 in ?? () from /usr/lib/mlt/libmltsdl.so
0000003 0x00c7da0e in mlt_consumer_stop () from /usr/lib/libmlt.so.1
0000004 0x00a09d05 in Mlt::Consumer::stop () from /usr/lib/libmlt++.so.2
0000005 0x080ac622 in _start ()
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0004212)
ddennedy (developer)
2009-10-27 03:50

This needs to be retested on v0.7.6. There were some concurrency fixes in the MLT version made for that release that appear to apply here.
(0004446)
kaleemsagard (reporter)
2009-12-26 22:33

Hi ddennedy. Indeed, the v0.7.6 works fine. I installed it in my new Fedora 12 and no there is problem. Thanks

- Issue History
Date Modified Username Field Change
2009-10-25 21:45 kaleemsagard New Issue
2009-10-25 21:45 kaleemsagard Build/Install Method => Distribution package
2009-10-27 03:50 ddennedy Note Added: 0004212
2009-10-27 03:50 ddennedy Status new => feedback
2009-12-26 22:33 kaleemsagard Note Added: 0004446
2009-12-26 22:33 kaleemsagard Status feedback => new
2010-01-03 00:22 j-b-m Status new => resolved
2010-01-03 00:22 j-b-m Fixed in Version => 0.7.6
2010-01-03 00:22 j-b-m Resolution open => fixed
2010-01-03 00:22 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker